xt_asn_query(1)

Name

xt_asn_query — dump an ASN database to stdout

Syntax

xt_asn_query [-D database_dir] [-4] [-6] asn [ asn ... ]

Description

xt_asn_query reads an ASN's IPv4 or IPv6 databases and dumps them to standard output as a sorted, non-overlapping list of ranges (which is how they are represented in the database), suitable for browsing or further processing.

-D database_dir
    Specifies the directory into which the files have been put. Defaults to ".".

-4  Specifies IPv4 data only.

-6  Specifies IPv6 data only.

asn [ asn ... ]
    The ASN (Autonomous System Numbers) from global BGP peering in decimal notation.

Application

Shell command to dump the list of OVH's IPv4 address ranges from ASN 16276:

xt_asn_query -D /usr/share/xt_asn -6 16276

See also

xt_asn_build(1)